Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members Related Pages

# GraphicsDeviceI Class Reference

Graphics device class. More...

`#include <GraphicsDeviceI.h>`

Inheritance diagram for GraphicsDeviceI:

List of all members.

## Public Member Functions
virtual Edit::DataBlockI * | create ()=0
| Create new graphics device.
virtual PluginClass::SuperClassIdC | get_super_class_id () const
| Returns super class ID.
virtual bool | get_exclusive () const
| Returns true, if the device is excluseive.
virtual bool | init (HINSTANCE hInstance, HWND hParent, PajaTypes::int32 i32ID, PajaTypes::uint32 ui32Flags, PajaTypes::uint32 ui32Width=0, PajaTypes::uint32 ui32Height=0, PajaTypes::uint32 ui32BPP=0, PajaSystem::DeviceFeedbackC *pFeedback=0)=0
| Intialises a created graphics device.
virtual void | destroy ()=0
| Destroys a graphics device.
virtual void | flush ()=0
| Flushes the current rendering buffer to screen.
virtual void | activate ()=0
| Activates this device.
virtual HWND | get_hwnd ()=0
| Returns the wondow handle of this device.
virtual bool | configure ()=0
| Launches the configuration dialog.
virtual bool | set_fullscreen (PajaTypes::uint32 ui32Width, PajaTypes::uint32 ui32Height, PajaTypes::uint32 ui32BPP=0)=0
| Sets windowed or child device to full screen.
virtual bool | set_windowed ()=0
| Sets windowed or child device to back to normal state.
virtual void | clear_device (PajaTypes::uint32 ui32Flags, const PajaTypes::ColorC &rColor=PajaTypes::ColorC(), PajaTypes::float32 f32Depth=1.0f, PajaTypes::int32 i32Stencil=0)=0
| Clears the device.
virtual void | begin_draw ()=0
| Starts drawing block.
virtual void | end_draw ()=0
| Ends drawing block.
virtual void | begin_effects ()=0
| Pushes current state and prepares effect drawing block.
virtual void | end_effects ()=0
| Ends effect drawing block.
virtual void | set_size (PajaTypes::int32 int32X, PajaTypes::int32 int32Y, PajaTypes::int32 i32Width, PajaTypes::int32 i32Height)=0
| Resizes the device viewport.
virtual GraphicsBufferI * | create_graphicsbuffer ()=0
| Returns new graphics buffer.
virtual GraphicsBufferI * | set_render_target (GraphicsBufferI *pBuffer)=0
| Sets rendering target.

## Detailed Description

Graphics device class.

## Member Function Documentation

virtual void activate | ( |  | ) | `[pure virtual]`

| Activates this device.

virtual void begin_draw | ( |  | ) | `[pure virtual]`

| Starts drawing block.

virtual void begin_effects | ( |  | ) | `[pure virtual]`

| Pushes current state and prepares effect drawing block.

virtual void clear_device | ( | PajaTypes::uint32 | ui32Flags,
|  | const PajaTypes::ColorC & | rColor = PajaTypes::ColorC(),
|  | PajaTypes::float32 | f32Depth = 1.0f,
|  | PajaTypes::int32 | i32Stencil = 0
| ) | `[pure virtual]`

| Clears the device.

virtual bool configure | ( |  | ) | `[pure virtual]`

| Launches the configuration dialog.

virtual Edit::DataBlockI* create | ( |  | ) | `[pure virtual]`

| Create new graphics device. Implements DataBlockI.

virtual GraphicsBufferI* create_graphicsbuffer | ( |  | ) | `[pure virtual]`

| Returns new graphics buffer. Use GraphicsBufferI::init() to initialize the graphics buffer before using it.

virtual void destroy | ( |  | ) | `[pure virtual]`

| Destroys a graphics device.

virtual void end_draw | ( |  | ) | `[pure virtual]`

| Ends drawing block.

virtual void end_effects | ( |  | ) | `[pure virtual]`

| Ends effect drawing block.

virtual void flush | ( |  | ) | `[pure virtual]`

| Flushes the current rendering buffer to screen.

virtual bool get_exclusive | ( |  | ) | const`[virtual]`

| Returns true, if the device is excluseive. If this method returns true, there can be only one instance of this device in the device context. Reimplemented from DeviceInterfaceI.

virtual HWND get_hwnd | ( |  | ) | `[pure virtual]`

| Returns the wondow handle of this device.

virtual PluginClass::SuperClassIdC get_super_class_id | ( |  | ) | const`[virtual]`

| Returns super class ID. Implements DeviceInterfaceI.

virtual bool init | ( | HINSTANCE | hInstance,
|  | HWND | hParent,
|  | PajaTypes::int32 | i32ID,
|  | PajaTypes::uint32 | ui32Flags,
|  | PajaTypes::uint32 | ui32Width = 0,
|  | PajaTypes::uint32 | ui32Height = 0,
|  | PajaTypes::uint32 | ui32BPP = 0,
|  | PajaSystem::DeviceFeedbackC * | pFeedback = 0
| ) | `[pure virtual]`

| Intialises a created graphics device.

virtual bool set_fullscreen | ( | PajaTypes::uint32 | ui32Width,
|  | PajaTypes::uint32 | ui32Height,
|  | PajaTypes::uint32 | ui32BPP = 0
| ) | `[pure virtual]`

| Sets windowed or child device to full screen.

virtual GraphicsBufferI* set_render_target | ( | GraphicsBufferI * | pBuffer | ) | `[pure virtual]`

  | Sets rendering target. Parameters:
  pBuffer | new rendering target. If the pBuffer is NULL, default rendring target is restored. The return value may also be NULL. In that case the previous rendering target was the main device.
Returns: previous rendering target.

virtual void set_size | ( | PajaTypes::int32 | int32X,
|  | PajaTypes::int32 | int32Y,
|  | PajaTypes::int32 | i32Width,
|  | PajaTypes::int32 | i32Height
| ) | `[pure virtual]`

| Resizes the device viewport.

virtual bool set_windowed | ( |  | ) | `[pure virtual]`

| Sets windowed or child device to back to normal state.